> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fortepayments.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payment Intent

> Create a payment intent for a specific transaction type.



## OpenAPI

````yaml api-reference/openapi-payments.json POST /payments/v2/intent
openapi: 3.0.0
info:
  title: Forte Payments API
  version: v1.0.0
servers:
  - url: https://sandbox-api.sandbox.lemmax.com
    variables: {}
security:
  - authorization: []
tags:
  - name: Forte Payments
  - name: Forte Compliance
paths:
  /payments/v2/intent:
    post:
      tags:
        - Forte Payments
      summary: Create payment intent
      description: Create a payment intent for a specific transaction type.
      operationId: createPaymentIntentV2
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/transaction_type_buy_vda'
        description: Payment intent request payload.
        required: false
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/create_payment_intent_v2_response'
          description: Create Payment Intent Response
        '400':
          content:
            application/json:
              schema:
                description: >-
                  NewPaymentIntentBadRequestError is caused by the following
                  error codes: ERR02, ERR09
                oneOf:
                  - $ref: '#/components/schemas/ERR02'
                  - $ref: '#/components/schemas/ERR09'
                x-struct: null
                x-validate: null
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unauthorized
        '406':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Not Acceptable
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ERR04'
          description: Conflict
        '415':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unsupported Media Type
      callbacks: {}
      security:
        - authorization: []
components:
  schemas:
    transaction_type_buy_vda:
      description: Request payload for `BUY_VDA` transaction type
      example:
        buyer:
          email: example@email.com
          id: unique_customer_id
        currency: USD
        idempotency_key: unique_string
        items:
          - amount: '10.70'
            description: optional item description
            id: item id
            image_url: https://developer-image.url/image.png
            title: Item title
        transaction_type: BUY_VDA
        reference: 44cda1bb-2625-4acf-9d84-0cb78589e9a6
      properties:
        buyer:
          anyOf:
            - properties:
                email:
                  description: Customer's verified email in the Developer's system.
                  example: example@email.com
                  format: email
                  maxLength: 255
                  type: string
                  x-struct: null
                  x-validate: null
                id:
                  description: The unique identifier representing the customer.
                  maxLength: 1000
                  type: string
                  x-struct: null
                  x-validate: null
              required:
                - id
                - email
              type: object
              x-struct: null
              x-validate: null
            - properties:
                id:
                  description: The unique identifier representing the customer.
                  maxLength: 1000
                  type: string
                  x-struct: null
                  x-validate: null
                wallet:
                  description: Customer's wallet
                  properties:
                    address:
                      description: The address of the crypto wallet.
                      example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                      type: string
                      x-struct: null
                      x-validate: null
                    blockchain:
                      description: The blockchain of the wallet.
                      enum:
                        - ethereum
                        - sepolia
                        - polygon
                        - amoy
                        - solana
                        - solana_devnet
                        - base
                        - base_sepolia
                        - avalanche_c
                        - avalanche_fuji
                        - binance_smart_chain
                        - binance_smart_chain_testnet
                        - arbitrum_one
                        - arbitrum_sepolia
                        - apechain
                        - curtis
                        - etherlink
                        - etherlink_testnet
                        - soneium
                        - soneium_minato
                        - aleo
                        - aleo_testnet
                      example: ethereum
                      type: string
                      x-struct: null
                      x-validate: null
                  required:
                    - blockchain
                    - address
                  type: object
                  x-struct: null
                  x-validate: null
              required:
                - id
                - wallet
              type: object
              x-struct: null
              x-validate: null
            - properties:
                email:
                  description: Customer's verified email in the Developer's system.
                  example: example@email.com
                  format: email
                  maxLength: 255
                  type: string
                  x-struct: null
                  x-validate: null
                id:
                  description: The unique identifier representing the customer.
                  maxLength: 1000
                  type: string
                  x-struct: null
                  x-validate: null
                wallet:
                  description: Customer's wallet
                  properties:
                    address:
                      description: The address of the crypto wallet.
                      example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                      type: string
                      x-struct: null
                      x-validate: null
                    blockchain:
                      description: The blockchain of the wallet.
                      enum:
                        - ethereum
                        - sepolia
                        - polygon
                        - amoy
                        - solana
                        - solana_devnet
                        - base
                        - base_sepolia
                        - avalanche_c
                        - avalanche_fuji
                        - binance_smart_chain
                        - binance_smart_chain_testnet
                        - arbitrum_one
                        - arbitrum_sepolia
                        - apechain
                        - curtis
                        - etherlink
                        - etherlink_testnet
                        - soneium
                        - soneium_minato
                        - aleo
                        - aleo_testnet
                      example: ethereum
                      type: string
                      x-struct: null
                      x-validate: null
                  required:
                    - blockchain
                    - address
                  type: object
                  x-struct: null
                  x-validate: null
              required:
                - id
                - email
                - wallet
              type: object
              x-struct: null
              x-validate: null
          description: >-
            Details of the customer purchasing the item. Either `email` or
            `wallet` or both must be present.
          x-struct: null
          x-validate: null
        currency:
          description: Currency of the item.
          enum:
            - USD
            - EUR
          example: USD
          type: string
          x-struct: null
          x-validate: null
        idempotency_key:
          description: A unique value provided to ensure the operation is idempotent.
          example: idempotency-key-1
          maxLength: 1000
          type: string
          x-struct: null
          x-validate: null
        items:
          items:
            description: Details for the item being purchased.
            properties:
              amount:
                description: Decimal Amount of the item, should be 2 decimal points.
                example: '100.00'
                maxLength: 100
                type: string
                x-struct: null
                x-validate: null
              description:
                description: Detailed description of the item.
                example: Detailed item description
                maxLength: 255
                type: string
                x-struct: null
                x-validate: null
              id:
                description: ID of the item in the Developer's system.
                example: item-id-1
                maxLength: 255
                type: string
                x-struct: null
                x-validate: null
              image_url:
                description: URL of the image to display for the item.
                example: https://some-image.url/image.png
                maxLength: 255
                type: string
                x-struct: null
                x-validate: null
              title:
                description: Name of the purchased item.
                example: Item Title
                maxLength: 255
                type: string
                x-struct: null
                x-validate: null
            required:
              - amount
              - image_url
              - title
              - id
            type: object
            x-struct: null
            x-validate: null
          maxItems: 1
          minItems: 1
          type: array
          x-struct: null
          x-validate: null
        transaction_type:
          description: >-
            Transaction type for buying Virtual Digital Assets, e.g. game
            currency.
          enum:
            - BUY_VDA
          type: string
          x-struct: null
          x-validate: null
        reference:
          description: Optional merchant-provided reference.
          example: 44cda1bb-2625-4acf-9d84-0cb78589e9a6
          maxLength: 100
          type: string
      required:
        - items
        - transaction_type
        - buyer
        - currency
        - idempotency_key
      title: transaction_type_buy_vda
      type: object
      x-struct: Elixir.FortePaymentSvcWeb.OpenApi.Novapay.V2.BuyVDA
      x-validate: null
    create_payment_intent_v2_response:
      description: Create Payment Intent Response Schema
      oneOf:
        - $ref: '#/components/schemas/create_payment_intent_kyc_required_response'
        - $ref: '#/components/schemas/create_payment_intent_banned_customer_response'
        - $ref: '#/components/schemas/create_payment_intent_kyw_failed_response'
        - $ref: '#/components/schemas/create_payment_intent_success_response'
      title: create_payment_intent_v2_response
      x-struct: Elixir.FortePaymentSvcWeb.OpenApi.Novapay.V2.CreatePaymentIntentResponse
      x-validate: null
    ERR02:
      additionalProperties: true
      properties:
        error:
          additionalProperties: true
          description: >-
            Error response for when the payment intent amount is less than the
            minimum value.
          properties:
            code:
              oneOf:
                - format: int32
                  type: integer
                  x-struct: null
                  x-validate: null
                - description: Amount is below minimum.
                  enum:
                    - ERR02
                  type: string
                  x-struct: null
                  x-validate: null
              x-struct: null
              x-validate: null
            message:
              description: >-
                Extra information about the error. Should **not** be used
                programmatically.
              maxLength: 1000
              type: string
              x-struct: null
              x-validate: null
            reason:
              description: HTTP status description.
              example: Bad Request
              maxLength: 1000
              type: string
              x-struct: null
              x-validate: null
            status:
              description: HTTP status code.
              example: 400
              format: int32
              type: integer
              x-struct: null
              x-validate: null
          required:
            - code
            - status
            - reason
          type: object
          x-struct: null
          x-validate: null
      required:
        - error
      title: ERR02
      type: object
      x-struct: Elixir.PncCommon.OpenApi.ErrorResponse.ERR02
      x-validate: null
    ERR09:
      additionalProperties: true
      properties:
        error:
          additionalProperties: true
          description: >-
            Error response for when the payment intent has too many decimal
            places for the `amount` field.
          properties:
            code:
              oneOf:
                - format: int32
                  type: integer
                  x-struct: null
                  x-validate: null
                - description: Amount has too many decimal places.
                  enum:
                    - ERR09
                  type: string
                  x-struct: null
                  x-validate: null
              x-struct: null
              x-validate: null
            message:
              description: >-
                Extra information about the error. Should **not** be used
                programmatically.
              maxLength: 1000
              type: string
              x-struct: null
              x-validate: null
            reason:
              description: HTTP status description.
              example: Bad Request
              maxLength: 1000
              type: string
              x-struct: null
              x-validate: null
            status:
              description: HTTP status code.
              example: 400
              format: int32
              type: integer
              x-struct: null
              x-validate: null
          required:
            - code
            - status
            - reason
          type: object
          x-struct: null
          x-validate: null
      required:
        - error
      title: ERR09
      type: object
      x-struct: Elixir.PncCommon.OpenApi.ErrorResponse.ERR09
      x-validate: null
    JsonErrorResponse:
      additionalProperties: false
      example:
        error:
          message: The Foo resource could not be found
          reason: Not Found
          status: 404
      properties:
        error:
          additionalProperties: false
          properties:
            code:
              oneOf:
                - format: int32
                  type: integer
                  x-struct: null
                  x-validate: null
                - maxLength: 1000
                  type: string
                  x-pnc-external: true
                  x-struct: null
                  x-validate: null
              x-struct: null
              x-validate: null
            message:
              description: >-
                Extra information about the error that may be displayed, but
                should not be used for programmatic matching
              example: The Foo resource could not be found
              maxLength: 1000
              minLength: 0
              type: string
              x-struct: null
              x-validate: null
            reason:
              description: HTTP status description
              example: Not Found
              maxLength: 1000
              minLength: 1
              type: string
              x-struct: null
              x-validate: null
            status:
              description: HTTP status code
              example: 404
              format: int32
              type: integer
              x-struct: null
              x-validate: null
          required:
            - status
            - reason
          type: object
          x-struct: null
          x-validate: null
      required:
        - error
      title: JsonErrorResponse
      type: object
      x-struct: Elixir.PncCommon.OpenApi.JsonErrorResponse
      x-validate: null
    ERR04:
      additionalProperties: false
      properties:
        error:
          additionalProperties: false
          description: >-
            Error response for when the payment is already submitted for the
            specific intent request.
          properties:
            code:
              oneOf:
                - format: int32
                  type: integer
                  x-struct: null
                  x-validate: null
                - description: Payment already submitted.
                  enum:
                    - ERR04
                  type: string
                  x-struct: null
                  x-validate: null
              x-struct: null
              x-validate: null
            message:
              description: >-
                Extra information about the error. Should **not** be used
                programmatically.
              maxLength: 1000
              type: string
              x-struct: null
              x-validate: null
            reason:
              description: HTTP status description.
              example: Conflict
              maxLength: 1000
              type: string
              x-struct: null
              x-validate: null
            status:
              description: HTTP status code.
              example: 409
              format: int32
              type: integer
              x-struct: null
              x-validate: null
          required:
            - code
            - status
            - reason
          type: object
          x-struct: null
          x-validate: null
      required:
        - error
      title: ERR04
      type: object
      x-struct: Elixir.PncCommon.OpenApi.ErrorResponse.ERR04
      x-validate: null
    create_payment_intent_kyc_required_response:
      additionalProperties: true
      example:
        data:
          error_code: ERR06
          flow: PAYMENT
          notes: []
          payment_intent_id: 0f7660c1-a106-481f-acf9-1848e98a7230
          widget_data: >-
            eyJhY2Nlc3NfdG9rZW4iOiJleUpoYkdjaU9pSklVekkxTmlJc0luUjVjQ0k2SWtwWFZDSjkuZXlKaGNIQmZhV1FpT2lKbE9EWTRZakJqTnkwMU5tUm1MVFF4WlRRdFlUWmxOQzAyT0RKbU9USTJNR1UzWTJJaUxDSmpkWE4wYjIxbGNsOXBaQ0k2SWpVMFltVTFZemRqTFRFMU1tUXROR1poWmkwNE5UWXpMVE5sT0Rkak1HSXlPV00wTWlJc0ltVnRZV2xzWDJGa1pISmxjM01pT2lKMFpYTjBhVzVuUUc1dmNuUm9aWEp1YkdGaWN5NWpZU0lzSW1WdFlXbHNYM1psY21sbWFXVmtJanBtWVd4elpTd2laWGh3SWpveE5qa3lNRFExTVRJNUxDSnBjM01pT2lKbWIzSjBaVjloZFhSb1gzTjJZeUlzSW0xbGNtTm9ZVzUwWDJsa0lqb2lNMlZqTWpjM01XRXRabVV4WmkwME5HVTVMV0ZqWXpVdE9XRm1NV0U1T1dWbVpHWXhJaXdpZEc5clpXNWZkSGx3WlNJNkltVjRkR1Z5Ym1Gc1gzUnZhMlZ1SW4wLnFSNHJ2ZUx6NUVBS3V4T3VxMU5LQmFDSS0zaGgwVVFVaUxCak1oLVZPZDAiLCJpdGVtIjp7ImFtb3VudCI6IjEwMC4wMCIsImN1cnJlbmN5IjoiVVNEIiwiZGVzYyI6IlN0YXJ0ZXIgU2V0IEEiLCJmZWUiOiJDT1ZFUkVEIiwiaWQiOiIxMjM0NTY3OCIsImltYWdlX3VybCI6Imh0dHBzOi8vd3d3LmdhbWVzLmNvbS8xQS5wbmciLCJ0aXRsZSI6IkVhcmx5IEFjY2VzcyBQcmVzYWxlIFNlcmllcyAxQSIsInRvdGFsIjoiMTAwLjAwIiwidHlwZSI6IkJVWV9XRUIyIn0sInBheW1lbnRfaW50ZW50X2lkIjoiMzVmZGRmOTUtZDZhZC00YTVmLWJhZjktODE5ZWU2MDI2M2Q0IiwicGF5bWVudF9tZXRob2RzIjpbeyJlbmFibGVkIjp0cnVlLCJpZCI6ImNhMDFlMjM1LTA1ODItNDdmMC04NzcxLTgwNjNiYWEwMmYxMSIsIm1ldGFkYXRhIjpudWxsLCJtZXRob2QiOiJjcnlwdG8iLCJwcm92aWRlciI6ImNvaW5iYXNlIn0seyJlbmFibGVkIjp0cnVlLCJpZCI6ImM1ZDhiZDE1LWI5OTItNDljMy1hMjdjLWViNjcyZWVmZTUxYSIsIm1ldGFkYXRhIjp7IkFwaVB1YmxpY0tleSI6InBrX3Nib3hfcWltZ2EycTV0MnV5cmNvM2JibmhteHlnMmljIn0sIm1ldGhvZCI6ImNyZWRpdCIsInByb3ZpZGVyIjoiY2hlY2tvdXQifV0sInNlbmRfdG8iOiJQTEFJIEFjY291bnQiLCJ0cmFuc2FjdGlvbl90eXBlIjoiQlVZX1ZEQSJ9
      properties:
        data:
          additionalProperties: true
          properties:
            error_code:
              description: >-
                Error code that indicates to the widget that customer needs to
                go through KYC before they can purchase an item.
              enum:
                - ERR06
              type: string
              x-struct: null
              x-validate: null
            flow:
              enum:
                - PAYMENT
              type: string
              x-struct: null
              x-validate: null
            notes:
              description: |-
                Human-friendly notes for alerting/logging.
                                Should not be used for any programmatic interpretation. By default, it is an empty list.
              items:
                maxLength: 1000
                type: string
                x-pnc-external: true
                x-struct: null
                x-validate: null
              maxItems: 100
              type: array
              x-struct: null
              x-validate: null
            payment_intent_id:
              description: The id of created payment intent.
              format: uuid
              maxLength: 36
              minLength: 36
              nullable: true
              pattern: >-
                ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
              type: string
              x-struct: null
              x-validate: null
            widget_data:
              description: Base64 encoded widget initialization data.
              maxLength: 100000
              nullable: true
              pattern: ^[-a-zA-Z0-9_/+]+=*$
              type: string
              x-struct: null
              x-validate: null
          required:
            - error_code
            - widget_data
            - payment_intent_id
            - flow
            - notes
          type: object
          x-struct: null
          x-validate: null
      required:
        - data
      title: create_payment_intent_kyc_required_response
      type: object
      x-struct: >-
        Elixir.FortePaymentSvcWeb.OpenApi.Novapay.V2.CreatePaymentIntentResponse.KycRequired
      x-validate: null
    create_payment_intent_banned_customer_response:
      additionalProperties: true
      example:
        data:
          error_code: ERR01
          flow: PAYMENT
          notes: []
          payment_intent_id: null
          widget_data: null
      properties:
        data:
          additionalProperties: true
          properties:
            error_code:
              description: Error code that indicates to the widget that customer is banned.
              enum:
                - ERR01
              type: string
              x-struct: null
              x-validate: null
            flow:
              enum:
                - PAYMENT
              type: string
              x-struct: null
              x-validate: null
            notes:
              description: |-
                Human-friendly notes for alerting/logging.
                                Should not be used for any programmatic interpretation. By default, it is an empty list.
              items:
                maxLength: 1000
                type: string
                x-pnc-external: true
                x-struct: null
                x-validate: null
              maxItems: 100
              type: array
              x-struct: null
              x-validate: null
            payment_intent_id:
              description: '`null` payment intent'
              format: uuid
              maxLength: 36
              minLength: 36
              nullable: true
              pattern: >-
                ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
              type: string
              x-struct: null
              x-validate: null
            widget_data:
              description: '`null` widget initialization data'
              maxLength: 100000
              nullable: true
              pattern: ^[-a-zA-Z0-9_/+]+=*$
              type: string
              x-struct: null
              x-validate: null
          required:
            - error_code
            - widget_data
            - payment_intent_id
            - flow
            - notes
          type: object
          x-struct: null
          x-validate: null
      required:
        - data
      title: create_payment_intent_banned_customer_response
      type: object
      x-struct: >-
        Elixir.FortePaymentSvcWeb.OpenApi.Novapay.V2.CreatePaymentIntentResponse.Banned
      x-validate: null
    create_payment_intent_kyw_failed_response:
      additionalProperties: true
      example:
        data:
          error_code: ERR15
          flow: PAYMENT
          notes: []
          payment_intent_id: null
          widget_data: null
      properties:
        data:
          additionalProperties: true
          properties:
            error_code:
              description: >-
                Error code that indicates to the widget that KYW failed for
                wallet(s).
              enum:
                - ERR15
              type: string
              x-struct: null
              x-validate: null
            flow:
              enum:
                - PAYMENT
              type: string
              x-struct: null
              x-validate: null
            notes:
              description: |-
                Human-friendly notes for alerting/logging.
                                Should not be used for any programmatic interpretation. By default, it is an empty list.
              items:
                maxLength: 1000
                type: string
                x-pnc-external: true
                x-struct: null
                x-validate: null
              maxItems: 100
              type: array
              x-struct: null
              x-validate: null
            payment_intent_id:
              description: '`null` payment intent'
              format: uuid
              maxLength: 36
              minLength: 36
              nullable: true
              pattern: >-
                ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
              type: string
              x-struct: null
              x-validate: null
            widget_data:
              description: '`null` widget initialization data'
              maxLength: 100000
              nullable: true
              pattern: ^[-a-zA-Z0-9_/+]+=*$
              type: string
              x-struct: null
              x-validate: null
          required:
            - error_code
            - widget_data
            - payment_intent_id
            - flow
            - notes
          type: object
          x-struct: null
          x-validate: null
      required:
        - data
      title: create_payment_intent_kyw_failed_response
      type: object
      x-struct: >-
        Elixir.FortePaymentSvcWeb.OpenApi.Novapay.V2.CreatePaymentIntentResponse.KywFailed
      x-validate: null
    create_payment_intent_success_response:
      additionalProperties: true
      example:
        data:
          error_code: null
          flow: PAYMENT
          notes: []
          payment_intent_id: 0f7660c1-a106-481f-acf9-1848e98a7230
          widget_data: >-
            eyJhY2Nlc3NfdG9rZW4iOiJleUpoYkdjaU9pSklVekkxTmlJc0luUjVjQ0k2SWtwWFZDSjkuZXlKaGNIQmZhV1FpT2lKbE9EWTRZakJqTnkwMU5tUm1MVFF4WlRRdFlUWmxOQzAyT0RKbU9USTJNR1UzWTJJaUxDSmpkWE4wYjIxbGNsOXBaQ0k2SWpVMFltVTFZemRqTFRFMU1tUXROR1poWmkwNE5UWXpMVE5sT0Rkak1HSXlPV00wTWlJc0ltVnRZV2xzWDJGa1pISmxjM01pT2lKMFpYTjBhVzVuUUc1dmNuUm9aWEp1YkdGaWN5NWpZU0lzSW1WdFlXbHNYM1psY21sbWFXVmtJanBtWVd4elpTd2laWGh3SWpveE5qa3lNRFExTVRJNUxDSnBjM01pT2lKbWIzSjBaVjloZFhSb1gzTjJZeUlzSW0xbGNtTm9ZVzUwWDJsa0lqb2lNMlZqTWpjM01XRXRabVV4WmkwME5HVTVMV0ZqWXpVdE9XRm1NV0U1T1dWbVpHWXhJaXdpZEc5clpXNWZkSGx3WlNJNkltVjRkR1Z5Ym1Gc1gzUnZhMlZ1SW4wLnFSNHJ2ZUx6NUVBS3V4T3VxMU5LQmFDSS0zaGgwVVFVaUxCak1oLVZPZDAiLCJpdGVtIjp7ImFtb3VudCI6IjEwMC4wMCIsImN1cnJlbmN5IjoiVVNEIiwiZGVzYyI6IlN0YXJ0ZXIgU2V0IEEiLCJmZWUiOiJDT1ZFUkVEIiwiaWQiOiIxMjM0NTY3OCIsImltYWdlX3VybCI6Imh0dHBzOi8vd3d3LmdhbWVzLmNvbS8xQS5wbmciLCJ0aXRsZSI6IkVhcmx5IEFjY2VzcyBQcmVzYWxlIFNlcmllcyAxQSIsInRvdGFsIjoiMTAwLjAwIiwidHlwZSI6IkJVWV9XRUIyIn0sInBheW1lbnRfaW50ZW50X2lkIjoiMzVmZGRmOTUtZDZhZC00YTVmLWJhZjktODE5ZWU2MDI2M2Q0IiwicGF5bWVudF9tZXRob2RzIjpbeyJlbmFibGVkIjp0cnVlLCJpZCI6ImNhMDFlMjM1LTA1ODItNDdmMC04NzcxLTgwNjNiYWEwMmYxMSIsIm1ldGFkYXRhIjpudWxsLCJtZXRob2QiOiJjcnlwdG8iLCJwcm92aWRlciI6ImNvaW5iYXNlIn0seyJlbmFibGVkIjp0cnVlLCJpZCI6ImM1ZDhiZDE1LWI5OTItNDljMy1hMjdjLWViNjcyZWVmZTUxYSIsIm1ldGFkYXRhIjp7IkFwaVB1YmxpY0tleSI6InBrX3Nib3hfcWltZ2EycTV0MnV5cmNvM2JibmhteHlnMmljIn0sIm1ldGhvZCI6ImNyZWRpdCIsInByb3ZpZGVyIjoiY2hlY2tvdXQifV0sInNlbmRfdG8iOiJQTEFJIEFjY291bnQiLCJ0cmFuc2FjdGlvbl90eXBlIjoiQlVZX1ZEQSJ9
      properties:
        data:
          additionalProperties: true
          properties:
            error_code:
              description: There is no error code when all pre-checks succeeded.
              maxLength: 0
              nullable: true
              type: string
              x-struct: null
              x-validate: null
            flow:
              enum:
                - PAYMENT
              type: string
              x-struct: null
              x-validate: null
            notes:
              description: |-
                Human-friendly notes for alerting/logging.
                                Should not be used for any programmatic interpretation. By default, it is an empty list.
              items:
                maxLength: 1000
                type: string
                x-pnc-external: true
                x-struct: null
                x-validate: null
              maxItems: 100
              type: array
              x-struct: null
              x-validate: null
            payment_intent_id:
              description: The id of created payment intent.
              format: uuid
              maxLength: 36
              minLength: 36
              nullable: true
              pattern: >-
                ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
              type: string
              x-struct: null
              x-validate: null
            widget_data:
              description: Base64 encoded widget initialization data.
              maxLength: 100000
              nullable: true
              pattern: ^[-a-zA-Z0-9_/+]+=*$
              type: string
              x-struct: null
              x-validate: null
          required:
            - error_code
            - widget_data
            - payment_intent_id
            - flow
            - notes
          type: object
          x-struct: null
          x-validate: null
      required:
        - data
      title: create_payment_intent_success_response
      type: object
      x-struct: >-
        Elixir.FortePaymentSvcWeb.OpenApi.Novapay.V2.CreatePaymentIntentResponse.Success
      x-validate: null
  securitySchemes:
    authorization:
      description: '`access_token` returned by the `/auth/v1/oauth2/tokens` API call.'
      scheme: bearer
      type: http

````